/************************************************************************
    MeOS - Orienteering Software
    Copyright (C) 2009-2010 Melin Software HB
    
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Melin Software HB - software@melin.nu - www.melin.nu
    Stigbergsvgen 7, SE-75242 UPPSALA, Sweden
    
************************************************************************/

#include "stdafx.h"
#include "TabBase.h"

namespace FixedTabs {
  TabRunner *runnerTab=0;
  TabTeam *teamTab=0;
  TabClass *classTab=0;
  TabCourse *courseTab=0;
  TabControl *controlTab=0;
  TabSI *siTab=0;
  TabList *listTab=0;
  TabCompetition *cmpTab=0;
  TabSpeaker *speakerTab=0;
  TabClub *clubTab = 0;
}

TabObject::TabObject(TabBase *t)
{
	tab=t;
  tab->tabId=id;
}

TabObject::~TabObject()
{
	delete tab;
}


bool TabObject::loadPage(gdioutput &gdi)
{
  if(tab) 
		return tab->loadPage(gdi);
	else return false;
}